﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using ProcessSimulationInterfaces;

namespace ProcessCommunication
{
    public class WebserviceComunicator
    {
        IMotorProcessSystem processSystem;

        private string webserverAddress = "localhost";
        private volatile bool stop = false;
        System.Threading.Thread websyncThread;
        WebClient webClient = new WebClient();

        public WebserviceComunicator(IMotorProcessSystem processSystem,
                                   string webserverAddress)
        {
            this.processSystem = processSystem;
            if (webserverAddress != null && webserverAddress.Length > 0)
                this.webserverAddress = webserverAddress;
        }

        public void StartWebServicesynchronizer()
        {
            if (websyncThread == null)
            {
                websyncThread = new System.Threading.Thread(WebServicesynchronizer);
                websyncThread.IsBackground = true;
                websyncThread.Start();
            }
        }

        private void WebServicesynchronizer()
        {

            while (!stop)
            {
                try
                {
                    // Insert code to get new input from webserver and opdate process values
                    webClient.Headers["Content-Type"] = "application/json";

                    // Insert code to get new input from webserver and opdate process values / synchronize


                    //string downloadUriAdr = "????";
                    //string downloadResponse = webClient.DownloadString(downloadUriAdr);

                    //string uploadUriAdr = "????";
                    //string uploadData = "????";   // Remark you can use '    
                    //string uploadResponse = webClient.UploadString(uploadUriAdr, "PUT", uploadData);



                }
                catch (Exception e)
                {

                }
                System.Threading.Thread.Sleep(5); // update interval
            }

        }


    }
}
