﻿namespace ProcessSimulationInterfaces
{
    public interface IMotorProcessSystem
    {
        int SystemId { get; set; }          // gives you the system id for this particular setup   
                                            // Can be uses when client access webservice 

        void SetNewProcessInput(int value); // set a new processinput for the motor/engine D/A value
        int GetProcessInput();              // gives you the curent processinput D/A for the motor/engine

        int GetProcessSpeed();              // gives you the current speed as A/D- digital value
        int GetProcessPosition();           // gives you the current position as A/D- digital value
    }
}